#!/bin/bash
#
#
# 	Script d'initialisation d'un dépot vMap versionné sous git
#	Initislise l'ensemble des dépendances sous forme de subtrees
#
#
#


APP_NAME="vmap"
APP_MODULES=( vmap vm4ms anc cadastre cadastreV2 )

cd ..
rm -Rf src
mkdir src

# Vitis
echo "---- Init vitis ----"
git subtree add --prefix src/vitis "git@vm09.veremes.net:Development/vitis_apps/sources/vitis.git" master

# Modules
for module in "${APP_MODULES[@]}"; do
	echo "---- Init module_${module} ----"

    # Ajoute le dépôt
	git subtree add --prefix src/module_${module} "git@vm09.veremes.net:Development/vitis_apps/sources/module_${module}.git" master
done
