# vMap

vMap is a powerfull webmapping application based on the newest open-source libraries (OpenLayers 3, Google-Closure, AngularJS, Bootstrap…).
It can use external map services or local data files produced in many formats (WMS, WMTS, Bing, OSM, GPX, GeoJSON, KML, TopoJSON...).
vMap is able to manage business objects while using WMS producing server software like MapServer, GeoServer or ArcGis Server.


## Getting Started

- Try the [demo](https://demo.veremes.net/vmap/)
- Download the setup on [vStore](https://vstore.veremes.net/store/)
- Follow the [install procedure](http://www.veremes.com/procedure-dinstallation-de-vmap)


## Contribute

To contribute to this project run the following steps

- Clone the repo on your local storage
- Run utils/init_symlinks.sh to build your tree structure with symlinks
- Run utils/pull_symlinks.sh to pull your code
- Run utils/push_symlinks.sh to push your code
